export interface ITextEditorSelection {
    startLineNumber: number;
    startColumn: number;
    endLineNumber?: number;
    endColumn?: number;
}
export declare enum IPreemptive {
    capable = "capable",
    incapable = "incapable",
    indifferent = "indifferent"
}
export declare enum IPublished {
    soap = "soap",
    web = "web",
    sql = "sql",
    rest = "rest"
}
export declare enum IPublishedRestScope {
    table = "table",
    catalog = "catalog",
    currentRecord = "currentRecord",
    currentSelection = "currentSelection"
}
export interface IPublishedRestOptions {
    table: string;
    scope: IPublishedRestScope;
}
export interface IOriginalMethodAttributes {
    invisible: boolean;
    shared: boolean;
    executedOnServer: boolean;
    preemptive: IPreemptive;
    publishedSoap: boolean;
    publishedWsdl: boolean;
    publishedWeb: boolean;
    publishedSql: boolean;
    published4DMobile: IPublishedRestOptions;
}
export interface IMethodAttributes extends Omit<IOriginalMethodAttributes, 'published4DMobile'> {
    publishedRest: boolean;
    publishedRestOptions: IPublishedRestOptions;
}
export declare const PublishOptions: {
    [key: string]: IPublished;
};
